<template>
    <Page>
        <ActionBar>
            <GridLayout width="100%" columns="auto, *, auto">
                <Label text="MENU" @tap="$refs.drawer.nativeView.showDrawer()" col="0"/>
                <!-- <Label class="title" text="Join With"  col="1"/> -->
                <!-- <Label text="Search" class="search-text" @tap="toggleSearch" col="2" /> -->
            </GridLayout>
        </ActionBar>

        <RadSideDrawer ref="drawer">
            <DockLayout ~drawerContent backgroundColor="#ffffff" class="dck" stretchLastChild="true">
                <Label class="drawer-header-top drawer-header" dock="top" :text="joinWithLabel"/>
                <Label class="drawer-header" dock="top" :text="fullName"/>

                <Label class="drawer-item" dock="top" text="icon Joined eventsssss" @tap="navigateToJoinedEventsPage"/>
                <Label text="what" textWrap="true" />
                
                <Label class="drawer-item" dock="top" text="icon Created events" @tap="navigateToCreatedEventsPage"/>
                <Label class="drawer-item" dock="top" text="icon Profile" @tap="navigateToProfileEdit"/> 
                <Label class="drawer-item logout" dock="bottom" text="Logout" @tap="logout" /> 
                    <!-- mapStyle="mapbox://styles/zslusnys/cjmz7ot7gb8pa2spdionmzl9n" -->
            </DockLayout>
            <GridLayout ~mainContent colums="*" rows="*">

                <MapboxComponent/>
            </GridLayout>
        </RadSideDrawer>
       
    </Page>
</template>

<script>
import CreatedEventsList from './CreatedEventsList'
import JoinedEventsList from './JoinedEventsList'
import EditProfile from './EditProfile'
import Login from './Login'
import ViewEventDetails from "./ViewEventDetails";
import EventBus from "@/event-bus";
import Manage from "./Manage";
import { mapActions, mapGetters } from "vuex";
import EditProfileVue from './EditProfile.vue';
import MapboxComponent from "@/components/MapboxComponent";

export default {
  components: { MapboxComponent },
  data() {
    return {
      joinWithLabel: `JoinWith `,
      fullName: '',
    };
  },
  mounted() {
    console.log("Component: App mounted");
    this.fullName = this.user.name
  },
  computed: {
    ...mapGetters({ user: "getUser", events: "getEvents" }),
    
  },
  methods: {
    ...mapActions["core"],
    
    navigateToProfileEdit() {
      this.$navigateTo(EditProfile)
    },

    navigateToJoinedEventsPage() {
      this.$navigateTo(JoinedEventsList)
    },

    navigateToCreatedEventsPage() {
      this.$navigateTo(CreatedEventsList)
    },

    async logout() {
      await this.$store.dispatch('logout')
      this.$navigateTo(Login)
    },

    fabTapped() {
      console.log('tapped fab');
    },

  },
}
</script>

<style scoped >
ActionBar {
  background-color: #53ba82;
  /* color: #ffffff; */
  color: #000000;
  border-bottom: #333333 1px solid;
}

.title {
  text-align: left;
  padding-left: 16;
}

.message {
  vertical-align: center;
  text-align: center;
  font-size: 20;
  color: #53ba82;
}

.new-event-btn {
  margin-top: 85%;
  margin-left: 80%;
}

.drawer-header-top {
  padding: 50 16 0 16;
  margin-bottom: 0;
}

.drawer-header {
  background-color: #53ba82;
  color: #ffffff;
  font-size: 24;
}

.drawer-item {
  padding: 8 16;
  color: #333333;
  font-size: 16;

  
}
.drawer-item.logout {
  color: orange;
}
.menu-button {
  /* Rectangle */
  border-radius: 50%;
  width: auto;
  height: 150px;
  font-size: 12px;
  color: #000000;
  /* color: #ffffff; */
  background: linear-gradient(180deg, #efcfb9 0%, #e8ba9c 100%);
}
.search-text {
  margin-right: 10dp;
}
</style>
